Bug 1125228 - Usability: preupg tells me to upload results to UI which does not work
Summary: Usability: preupg tells me to upload results to UI which does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Dorňák
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 11:22 UTC by Branislav Blaškovič
Modified: 2016-12-01 00:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 10:08:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1394 normal SHIPPED_LIVE preupgrade-assistant bug fix update 2014-10-14 14:08:00 UTC

Description Branislav Blaškovič 2014-07-31 11:22:19 UTC
At the end of preupg I can see:

    Upload results to UI by command:
    e.g. preupg -u http://127.0.0.1:8099/submit/ -r /root/preupgrade-results/preupg_results-*.tar.gz .

Which does not work:

    # preupg -u http://127.0.0.1:8099/submit/ -r /root/preupgrade-results/preupg_results-*.tar.gz .
    Usage: preupg [options]

    preupg: error: http://127.0.0.1:8099/submit/ doesn't seem to be an XML-RPC server

I know that I should somehow somewhere install-configure-whatever to do to get that xml-rpc server working but if I have installed 'preupg' and it tells me to do something and it does not work - as an admin I am really confused.

Would it be possible at least add some hints to the output - how to run that server or if the server is not correctly configured - don't tell me to do something which is not working.

Version:
    preupgrade-assistant-1.0.2-33.el6.x86_64

Comment 1 Branislav Blaškovič 2014-07-31 11:32:53 UTC
This is great example what is more user-friendly behaviour:

    # redhat-upgrade-tool-cli --network 7.0 --instrepo http://download.eng.brq.redhat.com/rel-eng/latest-RHEL-7/compose/Server/x86_64/os/ --addrepo optional=http://download.eng.brq.redhat.com/rel-eng/latest-RHEL-7/compose/Server-optional/x86_64/os/

    Command not found. Install package 'redhat-upgrade-tool' to provide command 'redhat-upgrade-tool-cli'? [N/y] 
     * Running.. 
     * Resolving dependencies.. 
     * Waiting for authentication.. 
     * Resolving dependencies.. 
     * Downloading packages.. 
     * Testing changes.. 
     * Installing packages..

Comment 3 Tomas Tomecek 2014-07-31 11:45:15 UTC
I find it pretty obvious that if you haven't installed and set up your instance of UI, uploading results to non-existent server will fail.

I guess that we could improve the message to something like: "Cannot connect to UI. Is it set up? Can this machine access it?"

Comment 4 Branislav Blaškovič 2014-07-31 12:07:11 UTC
Yes you find it obvious because you developed it.

I dont find it obvious because I dont know that tool as well as you. That UI is part of preupgrade, preupg command tells me to do something with it and it just does not work!

Some additional text with hints what is problem would be great.

Comment 5 Ondrej Vasik 2014-07-31 12:22:54 UTC
I agree text should be improved - however as I see there e.g. (exempli gratia) , it is obvious to me that this is just example of the "upload command" - and not something for cut&paste.

Comment 6 Jakub Dorňák 2014-09-03 13:52:50 UTC
I have fixed this in upstream.

commit 97346b1f8ee802728c4a47259faad1028468415f
Author: Jakub Dorňák <jdornak@redhat.com>
Date:   Wed Sep 3 15:50:19 2014 +0200

    Usability: suggest to install UI
    Resolves: #1125228

 preup/application.py | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Comment 8 Michal Kovarik 2014-10-08 12:53:54 UTC
Verified on preupgrade-assistant-2.0.1-1.el6.x86_64.

[root@system1 ~]# preupg -u http://127.0.0.1:8099/submit/ -r /root/preupgrade-results/preupg_results-*.tar.gz
Usage: preupg [options]

preupg: error: Can't connect to preupgrade assistant WEB-UI at http://127.0.0.1:8099/submit/.

Please ensure that package preupgrade-assistant-ui has been installed on target system and firewall is set up to allow connections on port 8099.

Comment 10 errata-xmlrpc 2014-10-14 10:08:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1394.html


Note You need to log in before you can comment on or make changes to this bug.